
// car properties
float carX;
float carY;
float carHue;
float carSpeed;

// car action: moves car according to speed
void carMove() {

  // move the car
  carX = carX - carSpeed;

  // car starts at right side and travels
  // all the way past the left side
  if (carX < -50) {
    carX = width + 50;
  }
}

// car action: display car
// x, y  position 
// hue   hue to fill the car body 
//       (0 to 360 degrees)
void carDraw(float x, float y, float hue) {

  // top part
  stroke(0);
  fill(360); // white
  ellipse(x, y - 20, 40, 30);
  // body
  fill(hue, 100, 100); // orange
  quad(x - 30, y - 20, x + 30, y - 20, 
  x + 20, y, x - 40, y);

  fill(150); // gray
  // front wheel
  ellipse(x - 25, y, 20, 20);
  // back wheel
  ellipse(x + 10, y, 20, 20);
}