

class Ball {

  // dot position, speed, and size
  float size;
  float x;
  float y;
  float xSpeed; 
  float ySpeed;

  // a "constructor" 
  // (note no void for return type!)
  Ball() {
    x = 50;
    y = 50;
    xSpeed = -1.1;
    ySpeed = 0.6;
    size = 20;
  }
  
  void moveAndDisplay() {
    // update positions with current speed
    x += xSpeed;
    y += ySpeed;

    // reverse x direction if hits left or right
    if (x - size / 2 < 0 || x > width - 1 - size / 2) {
      xSpeed = -xSpeed;
    }  
    // reverse y direction if it hits top or bottom
    if (y - size / 2 < 0 || y > height - 1 - size / 2) {
      ySpeed = -ySpeed;
    }

    ellipse(x, y, size, size);
  }
}