// bounce ball inside canvas

// ball position, speed, and size
float ballSize = 20;
float ballX = 50;
float ballY = 50;
// start moving to the left
float ballXSpeed = -1.1; 
// start moving more slowly upward
float ballYSpeed = 0.6;

void draw() {
  background(200);
  ellipse(ballX, ballY, ballSize, ballSize);
  
  // update positions with current speed
  ballX += ballXSpeed;
  ballY += ballYSpeed;
  
  // reverse x direction if hits left or right
  if (ballX - ballSize / 2 < 0 || ballX > width - 1 - ballSize / 2) {
    ballXSpeed = -ballXSpeed;
  }  
  // reverse y direction if it hits top or bottom
  if (ballY - ballSize / 2 < 0 || ballY > height - 1 - ballSize / 2) {
    ballYSpeed = -ballYSpeed;
  }
}